#pragma once
#include "SortArray.h"

/*!
	コネクションスレッド用エラー例外
*/
class CConnectionErrorException
{
public:
	CConnectionErrorException() {};
	CConnectionErrorException(CString errorInfo)
	{
		m_errorInfo = errorInfo;
		TRACE("%s\n", errorInfo);
	}

	CString	m_errorInfo;
};



/*!
	サーバレスポンス要求
*/
class CServerResponseException
{
public:
	CServerResponseException() {};
	CServerResponseException(int responseCode, CString status, CString text = "")
	{
		m_responseCode	= responseCode;
		m_status		= status;
		m_text			= text;

		TRACE("%s\n", status);
	}

	//!	ヘッダの追加
	void AddAdditionalHeader(CString key, CString data)
	{
		m_additionalHeader.Add(key, data);
	}

	//////////////////////////////////////////////////////////////
	//	メンバ変数
	//////////////////////////////////////////////////////////////
	int				m_responseCode;
	CString			m_status;
	CString			m_text;
	CKeyDataArray	m_additionalHeader;
};

